﻿using System.Windows.Controls;
using Steema.TeeChart.Silverlight.Tools;
using System;

namespace TeeChartCursorHiLoadTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            for (int i = 0; i < 10; i++)
            {
                Steema.TeeChart.Silverlight.Styles.Series series = new Steema.TeeChart.Silverlight.Styles.Line();
                tChart1.Series.Add(series);
                series.Name = "Line" + i.ToString();
                DateTime dt = DateTime.Now;
                Random rnd = new Random(unchecked((int)(DateTime.Now.Ticks >> i)));
                double val = rnd.Next(-100, 100);
                for (int j = 0; j < 200; j++)
                {
                    dt = dt + new TimeSpan(1, 0, 0);
                    val += rnd.Next(-100, 100);
                    series.Add(dt, val);
                }
            }

            CursorTool cursorTool = new CursorTool();
            cursorTool.FollowMouse = false;
            cursorTool.FastCursor = false;
            cursorTool.Style = CursorToolStyles.Vertical;
            cursorTool.Cursor = System.Windows.Input.Cursors.Hand;
            tChart1.Tools.Add(cursorTool);
        }

        private void LayoutRoot_SizeChanged(object sender, System.Windows.SizeChangedEventArgs e)
        {
            tChart1.Width = LayoutRoot.ActualWidth;
            tChart1.Height = LayoutRoot.ActualHeight;
        }
    }
}
